diff options
author | Jim Meyering <jim@meyering.net> | 2007-09-06 23:05:16 +0200 |
---|---|---|
committer | Jim Meyering <jim@meyering.net> | 2007-09-15 08:40:38 +0200 |
commit | 33173e867aa45b7f88551551da51e36875582813 (patch) | |
tree | 8bbe0a98f0b3cbd0977e35b2b0d4f4cc432dc288 /tests/mv/hard-link-1 | |
parent | df0beae1eb1318869d51a064aec8fdd401877cbf (diff) | |
download | coreutils-33173e867aa45b7f88551551da51e36875582813.tar.xz |
Convert tests/mv, too.
* tests/other-fs-tmpdir: Before, all callers would exit 77 upon failure to
find the required dir. Now, exit 77 in this script so callers don't have to.
Adjust callers.
Diffstat (limited to 'tests/mv/hard-link-1')
-rwxr-xr-x | tests/mv/hard-link-1 | 34 |
1 files changed, 7 insertions, 27 deletions
diff --git a/tests/mv/hard-link-1 b/tests/mv/hard-link-1 index aaa21a0c2..558cfac04 100755 --- a/tests/mv/hard-link-1 +++ b/tests/mv/hard-link-1 @@ -2,7 +2,7 @@ # move a directory containing hard-linked files and # make sure the links are preserved -# Copyright (C) 1998, 1999, 2000, 2004, 2006 Free Software Foundation, Inc. +# Copyright (C) 1998, 1999, 2000, 2004, 2006-2007 Free Software Foundation, Inc. # This program is free software: you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by @@ -22,34 +22,16 @@ if test "$VERBOSE" = yes; then mv --version fi -. $srcdir/../other-fs-tmpdir -# Make sure we get English translations. . $srcdir/../lang-default - -pwd=`pwd` -t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$ -trap 'status=$?; cd "$pwd" && chmod -R u+rwx $t0 && rm -rf $t0 && exit $status' 0 -trap '(exit $?); exit $?' 1 2 13 15 - -framework_failure=0 -mkdir -p $tmp || framework_failure=1 -cd $tmp || framework_failure=1 - -if test -z "$other_partition_tmpdir"; then - (exit 77); exit 77 -fi +. $srcdir/../test-lib.sh +cleanup_() { rm -rf "$other_partition_tmpdir"; } +. "$abs_top_srcdir/tests/other-fs-tmpdir" dir=hlink -framework_failure=0 -mkdir $dir || framework_failure=1 -> $dir/a || framework_failure=1 -ln $dir/a $dir/b || framework_failure=1 - -if test $framework_failure = 1; then - echo 'failure in testing framework' - (exit 1); exit 1 -fi +mkdir $dir || framework_failure +> $dir/a || framework_failure +ln $dir/a $dir/b || framework_failure mv $dir $other_partition_tmpdir || fail=1 @@ -61,6 +43,4 @@ a=`sed -n 's/ a$//p' out` b=`sed -n 's/ b$//p' out` test "$a" = "$b" || fail=1 -rm -fr out $dir $other_partition_tmpdir - exit $fail |